[Résolu] Machine virtuelle java

Vous cherchez une solution complète et libre ? La curiosité vous presse de poser des questions sur SeaMonkey (successeur de la suite Mozilla), et vous ne parvenez pas à trouver de réponses ? Venez ici, et trouvez votre bonheur.

Modérateur : Mori

Répondre
Stillnegative

[Résolu] Machine virtuelle java

Message par Stillnegative » 28 août 2003, 00:02

Salut,

J'ai installé la version 1.4 de mozilla hier et la machine virtuelle (version 1.4.0) de java ne fonctionnait plus.
J'ai réinstallé : rien
J'ai essayé la version 1.4.2 de jre et choisi la librairie pour ns610 et gcc32 comme indiqué sur le site de mozilla : toujours rien
J'ai essayé via un site qui utilise cette fonctionnalité pour déclencher le téléchargement et l'install auto : j'ai un message me déclarant le succès de l'opération mais dans le shell quand je quitte mozilla, j'ai le message suivant :
LoadPlugin: failed to initialize shared library /usr/local/mozilla/plugins/java2/plugin/i386/ns600/libjavaplugin_oji.so [/usr/local/mozilla/plugins/java2/plugin/i386/ns600/libjavaplugin_oji.so: undefined symbol: __vt_17nsGetServiceByCID]

note : j'avais bien à chaque fois, créer le lien symbolique vers le répertoire plugin de mozilla

Là je vois plus très bien ce que je peux faire... :?:
J'ai peut être un peu de mal mais si quelqu'un pouvait m'orienter, çà le ferait.

Merci d'avance

filip
Lézard à collerette
Messages : 224
Enregistré le : 17 juil. 2003, 23:59

Message par filip » 28 août 2003, 15:05

Il y a le même pb avec firebird (et un sujet sur le forum, donc aller y voir pour plus d'infos).

A priori je dirais qu'il faut installer le jave de blackdown :
www.blackdown.org

Stillnegative

Message par Stillnegative » 28 août 2003, 20:32

Merci pour les infos.
J'ai essayé celui de blackdown et toujours rien...

Je zappe en attendant une prochaine version...:-(

filip
Lézard à collerette
Messages : 224
Enregistré le : 17 juil. 2003, 23:59

Message par filip » 28 août 2003, 21:02

Toujours la même erreur avec la blackdown?

Tu as bien désinstallé le java de sun?

Il faut aussi désinstaller tous les restes de plugin java dans le repertoire plugin.

sunlight
Arias
Messages : 2
Enregistré le : 28 août 2003, 08:55

petite précision !

Message par sunlight » 29 août 2003, 00:10

LoadPlugin: failed to initialize shared library /usr/local/mozilla/plugins/java2/plugin/i386/ns600/libjavaplugin_oji.so
J'utilise mozilla 1.4 avec la version java 1.4.1 optimisé gcc-3.2 disponible sur le site BlackDown et ça marche impeccable.

Par contre, j'ai remarqué que le plugin ne se nomme plus "libjavaplugin_oji.so" mais "javaplugin_oji.so".

Stillnegative

Message par Stillnegative » 29 août 2003, 21:03

Je viens de tenter une ultime install.
J'ai d'abord tout désinstaller (même Mozilla), installer mozilla, puis réinstaller le jre de Blackdown version 1.4.1 gcc32, fait le lien symbolique... fait une prière :roll:

et ça ne marche toujours pas !

Y a des fois, comme ça, ça veut pas... :(

Benoit
Administrateur
Messages : 4894
Enregistré le : 19 juil. 2003, 10:59

Message par Benoit » 29 août 2003, 22:35

Tu es sûr que tu n'as pas un conflit avec un ancien plugin?

Dans ton message d'erreur il y a écrit
/usr/local/mozilla/plugins/java2/plugin/i386/ns600/libjavaplugin_oji.so alors que tu nous dis utiliser la version ns610.

Cochonou
Salamandre
Messages : 24
Enregistré le : 28 juil. 2003, 21:14

Message par Cochonou » 02 sept. 2003, 09:37

Je n'ai pas de problème avec la VM de Sun, et ai pourtant réalisé les mêmes opérations.

Une référence qui pourra peut être t'aider:
http://mozilla.weebeastie.net/java.shtml

Stillnegative

Message par Stillnegative » 03 sept. 2003, 22:44

Ca marche !

J'ai un peu honte sur ce coup là... Comme quoi parfois un peu de recul ca fait pas de mal !
Je me demande bien ce que j'ai foutu mais apparemment la dernière fois que j'ai crée le lien vers le répertoire plugin de mozilla, j'ai du me planter !
J'ai donc fait la modif et ça fonctionne ! :D

Pour info j'ai utilise la version de blackdown, avec l'autre y avait pas moyen...

Merci à tous pour vos conseils :wink:

Un jour je saurai utiliser Linux, oui, un jour je saurai utiliser Linux.

Répondre

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 5 invités